From 1c07d9c660669b5bb9d6ec6eff23cd97bd0bb347 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Sat, 2 Apr 2022 18:01:39 -0500
Subject: [PATCH 06/19] cirrus/linux: compile with -fsanitize

One concern about this is that the CompilerWarnings task depends on it, and it
seems important for cfbot to not slow down the Linux task so much that the
Linux+Warnings takes longer than windows.

ci-os-only: linux
---
 .cirrus.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/.cirrus.yml b/.cirrus.yml
index 92f41a55271..84da09be91e 100644
--- a/.cirrus.yml
+++ b/.cirrus.yml
@@ -203,8 +203,8 @@ task:
         CC="ccache gcc" \
         CXX="ccache g++" \
         CLANG="ccache clang" \
-        CFLAGS="-Og -ggdb" \
-        CXXFLAGS="-Og -ggdb"
+        CFLAGS="-Og -ggdb -fsanitize=undefined,alignment -fno-sanitize-recover=all" \
+        CXXFLAGS="-Og -ggdb -fsanitize=undefined,alignment -fno-sanitize-recover=all"
     EOF
   build_script: su postgres -c "make -s -j${BUILD_JOBS} world-bin"
   upload_caches: ccache
-- 
2.17.1

